let
  sources = import ./nix/sources.nix;
  pkgs = import sources.nixpkgs {};

  inherit (import sources.gitignore { inherit (pkgs) lib; }) gitignoreSource;

  texlive = pkgs.texlive.combine {
    inherit (pkgs.texlive) scheme-small
      biber
      biblatex
      csquotes
      datetime2
      datetime2-german
      geschichtsfrkl
      latexmk
      lipsum
      setspace
      tracklang;
  };
in
pkgs.stdenv.mkDerivation {
  name = "seminararbeit.pdf";

  nativeBuildInputs = [
    texlive
  ];

  src = gitignoreSource ./.;

  # We only build a PDF
  dontFixup = true;

  installPhase = "cp $name $out";
}
